# ATITextureFloat (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ATITextureFloat

    java.lang.Object
      org.lwjgl.opengl.ATITextureFloat

    public final class ATITextureFloat

extends java.lang.Object

Field Summary
`static int` `GL_ALPHA_FLOAT16_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_ALPHA_FLOAT32_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_INTENSITY_FLOAT16_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_INTENSITY_FLOAT32_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_LUMINANCE_ALPHA_FLOAT16_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_LUMINANCE_ALPHA_FLOAT32_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_LUMINANCE_FLOAT16_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_LUMINANCE_FLOAT32_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_RGB_FLOAT16_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_RGB_FLOAT32_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_RGBA_FLOAT16_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_RGBA_FLOAT32_ATI` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_RGBA_FLOAT32_ATI

    public static final int GL_RGBA_FLOAT32_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_RGB_FLOAT32_ATI

    public static final int GL_RGB_FLOAT32_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_ALPHA_FLOAT32_ATI

    public static final int GL_ALPHA_FLOAT32_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_INTENSITY_FLOAT32_ATI

    public static final int GL_INTENSITY_FLOAT32_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_LUMINANCE_FLOAT32_ATI

    public static final int GL_LUMINANCE_FLOAT32_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT32_ATI

    public static final int GL_LUMINANCE_ALPHA_FLOAT32_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_RGBA_FLOAT16_ATI

    public static final int GL_RGBA_FLOAT16_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_RGB_FLOAT16_ATI

    public static final int GL_RGB_FLOAT16_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_ALPHA_FLOAT16_ATI

    public static final int GL_ALPHA_FLOAT16_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_INTENSITY_FLOAT16_ATI

    public static final int GL_INTENSITY_FLOAT16_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_LUMINANCE_FLOAT16_ATI

    public static final int GL_LUMINANCE_FLOAT16_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT16_ATI

    public static final int GL_LUMINANCE_ALPHA_FLOAT16_ATI

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.